summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDiego Elio Pettenò <flameeyes@gmail.com>2010-10-25 03:33:59 +0200
committerDiego Elio Pettenò <flameeyes@gmail.com>2010-10-25 03:33:59 +0200
commit3b78907b7fa468b1daa9c58b8b36651ec7d9c79e (patch)
treeba5d49472662a14478e7da21e4a598e0f8832b7c /tinderbox-continuous.sh
parentDon't try to send dents if no BTI_ACCOUNT is set. (diff)
downloadflameeyes-tinderbox-3b78907b7fa468b1daa9c58b8b36651ec7d9c79e.tar.gz
flameeyes-tinderbox-3b78907b7fa468b1daa9c58b8b36651ec7d9c79e.tar.bz2
flameeyes-tinderbox-3b78907b7fa468b1daa9c58b8b36651ec7d9c79e.zip
Stop the continuous run if the list completed.
Before it entered an infinite restart loop.
Diffstat (limited to 'tinderbox-continuous.sh')
-rwxr-xr-xtinderbox-continuous.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/tinderbox-continuous.sh b/tinderbox-continuous.sh
index 19f0d22..158d5c0 100755
--- a/tinderbox-continuous.sh
+++ b/tinderbox-continuous.sh
@@ -28,6 +28,8 @@ until [ -f /var/run/tinderbox.pleasestop ]; do
cp ${list} ${list}~
cat ${list}~ /var/cache/tinderbox/myrunlist | sort | uniq -u > ${list}
+ [ -s /var/cache/tinderbox/myrunlist ] || break
+
xargs -a /var/cache/tinderbox/myrunlist -n1 ${tboxdir}/emerge-wrapper.sh
# before restarting, copy the current run's mask into the session